ReplicationStats (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.ReplicationStats class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationStats

    java.lang.Object
      com.sleepycat.db.ReplicationStats

public class ReplicationStats
extends Object

Replication statistics for a database environment.

Method Summary
`int` | `getDupmasters()` The number of duplicate master conditions detected.
`int` | `getEgen()` The current election generation number.
`int` | `getElectionCurWinner()` The election winner.
`int` | `getElectionGen()` The election generation number.
`LogSequenceNumber` | `getElectionLsn()` The maximum LSN of election winner.
`int` | `getElectionNumSites()` The number sites expected to participate in elections.
`int` | `getElectionNumVotes()` The number of votes required to complete the election.
`int` | `getElectionPriority()` The election priority.
`int` | `getElections()` The number of elections held.
`int` | `getElectionStatus()` The current election phase (0 if no election is in progress).
`int` | `getElectionsWon()` The number of elections won.
`int` | `getElectionTiebreaker()` The election tiebreaker value.
`int` | `getElectionVotes()` The votes received this election round.
`int` | `getEnvId()` The current environment ID.
`int` | `getEnvPriority()` The current environment priority.
`int` | `getGen()` The current generation number.
`int` | `getLogDuplicated()` The number of duplicate log records received.
`int` | `getLogQueued()` The number of log records currently queued.
`int` | `getLogQueuedMax()` The maximum number of log records ever queued at once.
`int` | `getLogQueuedTotal()` The total number of log records queued.
`int` | `getLogRecords()` The number of log records received and appended to the log.
`int` | `getLogRequested()` The number of log records missed and requested.
`int` | `getMaster()` The current master environment ID.
`int` | `getMasterChanges()` The number of times the master has changed.
`int` | `getMsgsBadgen()` The number of messages received with a bad generation number.
`int` | `getMsgsProcessed()` The number of messages received and processed.
`int` | `getMsgsRecover()` The number of messages ignored due to pending recovery.
`int` | `getMsgsSendFailures()` The number of failed message sends.
`int` | `getMsgsSent()` The number of messages sent.
`int` | `getNewsites()` The number of new site messages received.
`LogSequenceNumber` | `getNextLsn()` In replication environments configured as masters, the next LSN expected.
`int` | `getNextPages()` The next page number we expect to receive.
`int` | `getNumSites()` The number of sites believed to be in the replication group.
`int` | `getNumThrottles()` Transmission limited.
`int` | `getOutdated()` The number of outdated conditions detected.
`int` | `getPagesDuplicated()` The number of duplicate pages received.
`int` | `getPagesRecords()` The number of pages received and stored.
`int` | `getPagesRequested()` The number of pages missed and requested from the master.
`int` | `getStartupComplete()` The client site has completed its startup procedures and is now handling live records from the master.
`int` | `getStatus()` The current replication mode.
`int` | `getTxnsApplied()` The number of transactions applied.
`LogSequenceNumber` | `getWaitingLsn()` The LSN of the first log record we have after missing log records being waited for, or 0 if no log records are currently missing.
`int` | `getWaitingPages()` The page number of the first page we have after missing pages being waited for, or 0 if no pages are currently missing.
`String` | `toString()` For convenience, the ReplicationStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getStatus

    public int getStatus()

  The current replication mode. Set to DB_REP_MASTER if the environment is a replication master, DB_REP_CLIENT if the environment is a replication client, or 0 if replication is not configured.

### getNextLsn

    public LogSequenceNumber getNextLsn()

  In replication environments configured as masters, the next LSN expected. In replication environments configured as clients, the next LSN to be used.

### getWaitingLsn

    public LogSequenceNumber getWaitingLsn()

  The LSN of the first log record we have after missing log records being waited for, or 0 if no log records are currently missing.

### getNextPages

    public int getNextPages()

  The next page number we expect to receive.

### getWaitingPages

    public int getWaitingPages()

  The page number of the first page we have after missing pages being waited for, or 0 if no pages are currently missing.

### getDupmasters

    public int getDupmasters()

  The number of duplicate master conditions detected.

### getEnvId

    public int getEnvId()

  The current environment ID.

### getEnvPriority

    public int getEnvPriority()

  The current environment priority.

### getGen

    public int getGen()

  The current generation number.

### getEgen

    public int getEgen()

  The current election generation number.

### getLogDuplicated

    public int getLogDuplicated()

  The number of duplicate log records received.

### getLogQueued

    public int getLogQueued()

  The number of log records currently queued.

### getLogQueuedMax

    public int getLogQueuedMax()

  The maximum number of log records ever queued at once.

### getLogQueuedTotal

    public int getLogQueuedTotal()

  The total number of log records queued.

### getLogRecords

    public int getLogRecords()

  The number of log records received and appended to the log.

### getLogRequested

    public int getLogRequested()

  The number of log records missed and requested.

### getMaster

    public int getMaster()

  The current master environment ID.

### getMasterChanges

    public int getMasterChanges()

  The number of times the master has changed.

### getMsgsBadgen

    public int getMsgsBadgen()

  The number of messages received with a bad generation number.

### getMsgsProcessed

    public int getMsgsProcessed()

  The number of messages received and processed.

### getMsgsRecover

    public int getMsgsRecover()

  The number of messages ignored due to pending recovery.

### getMsgsSendFailures

    public int getMsgsSendFailures()

  The number of failed message sends.

### getMsgsSent

    public int getMsgsSent()

  The number of messages sent.

### getNewsites

    public int getNewsites()

  The number of new site messages received.

### getNumSites

    public int getNumSites()

  The number of sites believed to be in the replication group.

### getNumThrottles

    public int getNumThrottles()

  Transmission limited. This indicates the number of times data transmission was stopped to limit the amount of data sent in response to a single call to `Environment.processReplicationMessage`.

### getOutdated

    public int getOutdated()

  The number of outdated conditions detected.

### getPagesDuplicated

    public int getPagesDuplicated()

  The number of duplicate pages received.

### getPagesRecords

    public int getPagesRecords()

  The number of pages received and stored.

### getPagesRequested

    public int getPagesRequested()

  The number of pages missed and requested from the master.

### getStartupComplete

    public int getStartupComplete()

  The client site has completed its startup procedures and is now handling live records from the master.

### getTxnsApplied

    public int getTxnsApplied()

  The number of transactions applied.

### getElections

    public int getElections()

  The number of elections held.

### getElectionsWon

    public int getElectionsWon()

  The number of elections won.

### getElectionCurWinner

    public int getElectionCurWinner()

  The election winner.

### getElectionGen

    public int getElectionGen()

  The election generation number.

### getElectionLsn

    public LogSequenceNumber getElectionLsn()

  The maximum LSN of election winner.

### getElectionNumSites

    public int getElectionNumSites()

  The number sites expected to participate in elections.

### getElectionNumVotes

    public int getElectionNumVotes()

  The number of votes required to complete the election.

### getElectionPriority

    public int getElectionPriority()

  The election priority.

### getElectionStatus

    public int getElectionStatus()

  The current election phase (0 if no election is in progress).

### getElectionTiebreaker

    public int getElectionTiebreaker()

  The election tiebreaker value.

### getElectionVotes

    public int getElectionVotes()

  The votes received this election round.

### toString

    public String toString()

  For convenience, the ReplicationStats class has a toString method that lists all the data fields.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.